<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.3.xsd">
    <!--
        Added the constraints for entity Company.
    -->
    <changeSet id="20210908091024-2" author="jhipster">

        <addForeignKeyConstraint baseColumnNames="company_id"
                                 baseTableName="rel_company__category"
                                 constraintName="fk_rel_company__category__company_id"
                                 referencedColumnNames="id"
                                 referencedTableName="company"/>

        <addForeignKeyConstraint baseColumnNames="category_id"
                                 baseTableName="rel_company__category"
                                 constraintName="fk_rel_company__category__category_id"
                                 referencedColumnNames="id"
                                 referencedTableName="category"/>

        <addForeignKeyConstraint baseColumnNames="company_id"
                                 baseTableName="rel_company__setting_options"
                                 constraintName="fk_rel_company__setting_options__company_id"
                                 referencedColumnNames="id"
                                 referencedTableName="company"/>

        <addForeignKeyConstraint baseColumnNames="setting_options_id"
                                 baseTableName="rel_company__setting_options"
                                 constraintName="fk_rel_company__setting_options__setting_options_id"
                                 referencedColumnNames="id"
                                 referencedTableName="setting_options"/>

        <addForeignKeyConstraint baseColumnNames="app_user_id"
                                 baseTableName="company"
                                 constraintName="fk_company__app_user_id"
                                 referencedColumnNames="id"
                                 referencedTableName="app_user"/>

        <addForeignKeyConstraint baseColumnNames="plan_id"
                                 baseTableName="company"
                                 constraintName="fk_company__plan_id"
                                 referencedColumnNames="id"
                                 referencedTableName="plan"/>
    </changeSet>
</databaseChangeLog>
